## EmpathyAccount

EmpathyAccount

## Synopsis

                        EmpathyAccount;
    gboolean            empathy_account_is_just_connected   (EmpathyAccount *account);
    TpConnection *      empathy_account_get_connection      (EmpathyAccount *account);
    TpConnection *      empathy_account_get_connection_for_path
                                                            (EmpathyAccount *account,
                                                             const gchar *path);
    const gchar *       empathy_account_get_unique_name     (EmpathyAccount *account);
    const gchar *       empathy_account_get_display_name    (EmpathyAccount *account);
    const gchar *       empathy_account_get_connection_manager
                                                            (EmpathyAccount *account);
    const gchar *       empathy_account_get_protocol        (EmpathyAccount *account);
    const gchar *       empathy_account_get_icon_name       (EmpathyAccount *account);
    void                empathy_account_set_enabled_async   (EmpathyAccount *account,
                                                             gboolean enabled,
                                                             GAsyncReadyCallback callback,
                                                             gpointer user_data);
    gboolean            empathy_account_set_enabled_finish  (EmpathyAccount *account,
                                                             GAsyncResult *result,
                                                             GError **error);
    void                empathy_account_reconnect_async     (EmpathyAccount *account,
                                                             GAsyncReadyCallback callback,
                                                             gpointer user_data);
    gboolean            empathy_account_reconnect_finish    (EmpathyAccount *account,
                                                             GAsyncResult *result,
                                                             GError **error);
    gboolean            empathy_account_is_enabled          (EmpathyAccount *account);
    gboolean            empathy_account_is_valid            (EmpathyAccount *account);
    gboolean            empathy_account_is_ready            (EmpathyAccount *account);
    void                empathy_account_update_settings_async
                                                            (EmpathyAccount *account,
                                                             GHashTable *parameters,
                                                             const gchar **unset_parameters,
                                                             GAsyncReadyCallback callback,
                                                             gpointer user_data);
    gboolean            empathy_account_update_settings_finish
                                                            (EmpathyAccount *account,
                                                             GAsyncResult *result,
                                                             GError **error);
    void                empathy_account_remove_async        (EmpathyAccount *account,
                                                             GAsyncReadyCallback callback,
                                                             gpointer user_data);
    gboolean            empathy_account_remove_finish       (EmpathyAccount *account,
                                                             GAsyncResult *result,
                                                             GError **error);
    void                empathy_account_set_display_name_async
                                                            (EmpathyAccount *account,
                                                             const gchar *display_name,
                                                             GAsyncReadyCallback callback,
                                                             gpointer user_data);
    gboolean            empathy_account_set_display_name_finish
                                                            (EmpathyAccount *account,
                                                             GAsyncResult *result,
                                                             GError **error);
    void                empathy_account_set_icon_name_async (EmpathyAccount *account,
                                                             const gchar *icon_name,
                                                             GAsyncReadyCallback callback,
                                                             gpointer user_data);
    gboolean            empathy_account_set_icon_name_finish
                                                            (EmpathyAccount *account,
                                                             GAsyncResult *result,
                                                             GError **error);
    EmpathyAccount *    empathy_account_new                 (TpDBusDaemon *bus_daemon,
                                                             const gchar *unique_name);
    void                empathy_account_request_presence    (EmpathyAccount *account,
                                                             TpConnectionPresenceType type,
                                                             const gchar *status,
                                                             const gchar *message);
    const GHashTable *  empathy_account_get_parameters      (EmpathyAccount *account);
    void                empathy_account_refresh_properties  (EmpathyAccount *account);

## Object Hierarchy

      GObject
       +----EmpathyAccount

## Properties

      "connection"               TpConnection*         : Read
      "connection-status"        guint                 : Read
      "connection-status-reason" guint                 : Read
      "dbus-daemon"              TpDBusDaemon*         : Read / Write / Construct Only
      "display-name"             gchar*                : Read
      "enabled"                  gboolean              : Read / Write
      "presence"                 guint                 : Read
      "ready"                    gboolean              : Read
      "status"                   gchar*                : Read
      "status-message"           gchar*                : Read
      "unique-name"              gchar*                : Read / Write / Construct Only

## Signals

      "presence-changed"                               : Run Last
      "removed"                                        : Run Last
      "status-changed"                                 : Run Last

## Description

## Details

### EmpathyAccount

    typedef struct _EmpathyAccount EmpathyAccount;

### empathy_account_is_just_connected ()

    gboolean            empathy_account_is_just_connected   (EmpathyAccount *account);

`account` : |
Returns : |

### empathy_account_get_connection ()

    TpConnection *      empathy_account_get_connection      (EmpathyAccount *account);

Get the connection of the account, or NULL if account is offline or the connection is not yet ready. This function does not return a new ref.

`account` : | a EmpathyAccount
Returns : | the connection of the account.

### empathy_account_get_connection_for_path ()

    TpConnection *      empathy_account_get_connection_for_path
                                                            (EmpathyAccount *account,
                                                             const gchar *path);

Get the connection of the account on path. This function does not return a new ref. It is not guaranteed that the returned connection object is ready

`account` : | a EmpathyAccount
`path` : |
Returns : | the connection of the account.

### empathy_account_get_unique_name ()

    const gchar *       empathy_account_get_unique_name     (EmpathyAccount *account);

`account` : | a EmpathyAccount
Returns : | the unique name of the account.

### empathy_account_get_display_name ()

    const gchar *       empathy_account_get_display_name    (EmpathyAccount *account);

`account` : | a EmpathyAccount
Returns : | the display name of the account.

### empathy_account_get_connection_manager ()

    const gchar *       empathy_account_get_connection_manager
                                                            (EmpathyAccount *account);

`account` : |
Returns : |

### empathy_account_get_protocol ()

    const gchar *       empathy_account_get_protocol        (EmpathyAccount *account);

`account` : |
Returns : |

### empathy_account_get_icon_name ()

    const gchar *       empathy_account_get_icon_name       (EmpathyAccount *account);

`account` : |
Returns : |

### empathy_account_set_enabled_async ()

    void                empathy_account_set_enabled_async   (EmpathyAccount *account,
                                                             gboolean enabled,
                                                             GAsyncReadyCallback callback,
                                                             gpointer user_data);

`account` : |
`enabled` : |
`callback` : |
`user_data` : |

### empathy_account_set_enabled_finish ()

    gboolean            empathy_account_set_enabled_finish  (EmpathyAccount *account,
                                                             GAsyncResult *result,
                                                             GError **error);

`account` : |
`result` : |
`error` : |
Returns : |

### empathy_account_reconnect_async ()

    void                empathy_account_reconnect_async     (EmpathyAccount *account,
                                                             GAsyncReadyCallback callback,
                                                             gpointer user_data);

`account` : |
`callback` : |
`user_data` : |

### empathy_account_reconnect_finish ()

    gboolean            empathy_account_reconnect_finish    (EmpathyAccount *account,
                                                             GAsyncResult *result,
                                                             GError **error);

`account` : |
`result` : |
`error` : |
Returns : |

### empathy_account_is_enabled ()

    gboolean            empathy_account_is_enabled          (EmpathyAccount *account);

`account` : |
Returns : |

### empathy_account_is_valid ()

    gboolean            empathy_account_is_valid            (EmpathyAccount *account);

`account` : |
Returns : |

### empathy_account_is_ready ()

    gboolean            empathy_account_is_ready            (EmpathyAccount *account);

`account` : |
Returns : |

### empathy_account_update_settings_async ()

    void                empathy_account_update_settings_async
                                                            (EmpathyAccount *account,
                                                             GHashTable *parameters,
                                                             const gchar **unset_parameters,
                                                             GAsyncReadyCallback callback,
                                                             gpointer user_data);

`account` : |
`parameters` : |
`unset_parameters` : |
`callback` : |
`user_data` : |

### empathy_account_update_settings_finish ()

    gboolean            empathy_account_update_settings_finish
                                                            (EmpathyAccount *account,
                                                             GAsyncResult *result,
                                                             GError **error);

`account` : |
`result` : |
`error` : |
Returns : |

### empathy_account_remove_async ()

    void                empathy_account_remove_async        (EmpathyAccount *account,
                                                             GAsyncReadyCallback callback,
                                                             gpointer user_data);

`account` : |
`callback` : |
`user_data` : |

### empathy_account_remove_finish ()

    gboolean            empathy_account_remove_finish       (EmpathyAccount *account,
                                                             GAsyncResult *result,
                                                             GError **error);

`account` : |
`result` : |
`error` : |
Returns : |

### empathy_account_set_display_name_async ()

    void                empathy_account_set_display_name_async
                                                            (EmpathyAccount *account,
                                                             const gchar *display_name,
                                                             GAsyncReadyCallback callback,
                                                             gpointer user_data);

`account` : |
`display_name` : |
`callback` : |
`user_data` : |

### empathy_account_set_display_name_finish ()

    gboolean            empathy_account_set_display_name_finish
                                                            (EmpathyAccount *account,
                                                             GAsyncResult *result,
                                                             GError **error);

`account` : |
`result` : |
`error` : |
Returns : |

### empathy_account_set_icon_name_async ()

    void                empathy_account_set_icon_name_async (EmpathyAccount *account,
                                                             const gchar *icon_name,
                                                             GAsyncReadyCallback callback,
                                                             gpointer user_data);

`account` : |
`icon_name` : |
`callback` : |
`user_data` : |

### empathy_account_set_icon_name_finish ()

    gboolean            empathy_account_set_icon_name_finish
                                                            (EmpathyAccount *account,
                                                             GAsyncResult *result,
                                                             GError **error);

`account` : |
`result` : |
`error` : |
Returns : |

### empathy_account_new ()

    EmpathyAccount *    empathy_account_new                 (TpDBusDaemon *bus_daemon,
                                                             const gchar *unique_name);

`bus_daemon` : |
`unique_name` : |
Returns : |

### empathy_account_request_presence ()

    void                empathy_account_request_presence    (EmpathyAccount *account,
                                                             TpConnectionPresenceType type,
                                                             const gchar *status,
                                                             const gchar *message);

`account` : |
`type` : |
`status` : |
`message` : |

### empathy_account_get_parameters ()

    const GHashTable *  empathy_account_get_parameters      (EmpathyAccount *account);

`account` : |
Returns : |

### empathy_account_refresh_properties ()

    void                empathy_account_refresh_properties  (EmpathyAccount *account);

`account` : |

## Property Details

### The `"connection"` property

      "connection"               TpConnection*         : Read

The accounts connection.

### The `"connection-status"` property

      "connection-status"        guint                 : Read

The accounts connections status type.

Allowed values: <= 3

Default value: 2

### The `"connection-status-reason"` property

      "connection-status-reason" guint                 : Read

The account connections status reason.

Allowed values: <= 14

Default value: 0

### The `"dbus-daemon"` property

      "dbus-daemon"              TpDBusDaemon*         : Read / Write / Construct Only

The Tp Dbus daemon on which this account exists.

### The `"display-name"` property

      "display-name"             gchar*                : Read

The accounts display name.

Default value: NULL

### The `"enabled"` property

      "enabled"                  gboolean              : Read / Write

Whether this account is enabled or not.

Default value: FALSE

### The `"presence"` property

      "presence"                 guint                 : Read

The account connections presence type.

Allowed values: <= 9

Default value: 0

### The `"ready"` property

      "ready"                    gboolean              : Read

Whether this account is ready to be used.

Default value: FALSE

### The `"status"` property

      "status"                   gchar*                : Read

The Status string of the account.

Default value: NULL

### The `"status-message"` property

      "status-message"           gchar*                : Read

The Status message string of the account.

Default value: NULL

### The `"unique-name"` property

      "unique-name"              gchar*                : Read / Write / Construct Only

The accounts unique name.

Default value: NULL

## Signal Details

### The `"presence-changed"` signal

    void                user_function                      (EmpathyAccount *empathyaccount,
                                                            guint           arg1,
                                                            gchar          *arg2,
                                                            gchar          *arg3,
                                                            gpointer        user_data)           : Run Last

`empathyaccount` : | the object which received the signal.
`arg1` : |
`arg2` : |
`arg3` : |
`user_data` : | user data set when the signal handler was connected.

### The `"removed"` signal

    void                user_function                      (EmpathyAccount *empathyaccount,
                                                            gpointer        user_data)           : Run Last

`empathyaccount` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.

### The `"status-changed"` signal

    void                user_function                      (EmpathyAccount *empathyaccount,
                                                            guint           arg1,
                                                            guint           arg2,
                                                            guint           arg3,
                                                            gpointer        user_data)           : Run Last

`empathyaccount` : | the object which received the signal.
`arg1` : |
`arg2` : |
`arg3` : |
`user_data` : | user data set when the signal handler was connected.